commit:     ab3ba62b708cd6829fbe939eef827b56ad9411bc
Author:     David Michael <david.michael <AT> coreos <DOT> com>
AuthorDate: Thu Jun 15 00:41:13 2017 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Sat Sep 29 01:01:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab3ba62b

app-crypt/pesign: Supply cross-compiling programs

(with minor style changes from vdupras)

Closes: https://bugs.gentoo.org/621804
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>

 app-crypt/pesign/pesign-0.112.ebuild | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/app-crypt/pesign/pesign-0.112.ebuild 
b/app-crypt/pesign/pesign-0.112.ebuild
index 314dcb7d8cd..3937fb8fdcd 100644
--- a/app-crypt/pesign/pesign-0.112.ebuild
+++ b/app-crypt/pesign/pesign-0.112.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -35,7 +35,13 @@ PATCHES=(
 )
 
 src_compile() {
-       emake CC="$(tc-getCC)"
+       emake AR="$(tc-is-gcc && echo "$(tc-getCC)-ar" || tc-getAR)" \
+               AS="$(tc-getAS)" \
+               CC="$(tc-getCC)" \
+               LD="$(tc-getLD)" \
+               OBJCOPY="$(tc-getOBJCOPY)" \
+               PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+               RANLIB="$(tc-getRANLIB)"
 }
 
 src_install() {
@@ -44,5 +50,5 @@ src_install() {
 
        # remove some files that don't make sense for Gentoo installs
        rm -rf "${ED%/}/etc/" "${ED%/}/var/" \
-          "${ED%/}/usr/share/doc/${PF}/COPYING" || die
+               "${ED%/}/usr/share/doc/${PF}/COPYING" || die
 }

Reply via email to